.TH STDLIB 6 "stdlib  1.16.3" "Ericsson AB" "ERLANG APPLICATION DEFINITION"
.SH APPLICATION
STDLIB \- The STDLIB Application
.SH DESCRIPTION
.LP
The STDLIB is mandatory in the sense that the minimal system based on Erlang/OTP consists of Kernel and STDLIB\&. The STDLIB application contains no services\&.

.SH CONFIGURATION
.LP
The following configuration parameters are defined for the STDLIB application\&. See \fIapp(4)\fR for more information about configuration parameters\&.
.RS 2
.TP 4
.B
\fIshell_esc = icl | abort\fR:
This parameter can be used to alter the behaviour of the Erlang shell when ^G is pressed\&.
.TP 4
.B
\fIrestricted_shell = module()\fR:
This parameter can be used to run the Erlang shell in restricted mode\&.
.TP 4
.B
\fIshell_catch_exception = bool()\fR:
This parameter can be used to set the exception handling of the Erlang shell\&'s evaluator process\&.
.TP 4
.B
\fIshell_history_length = integer() >= 0\fR:
This parameter can be used to determine how many commands are saved by the Erlang shell\&.
.TP 4
.B
\fIshell_saved_results = integer() >= 0\fR:
This parameter can be used to determine how many results are saved by the Erlang shell\&.
.RE
.SH SEE ALSO
.LP
app(4), application(3), shell(3), 
